using UnityEngine;

public class FormAnimator : MonoBehaviour {

    #region Properties
    public Animator AnimatorComponent { get; private set; }

    public FormController Controller { get; private set; }
    #endregion


    protected virtual void Awake() {
        AnimatorComponent = GetComponent<Animator>();
    }

    protected virtual void ConnectedFormController(FormController controller) {
        Controller = controller;
    }

    public virtual void OnBeforeDisable() { }
}